%if 0%{?el7}
%define dist .el7
%endif

Name:           libdsm
Version:        0.4.3
Release:        1%{?dist}
Summary:        SMB protocol client implementation in pure C, with a lot less features than Samba

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            https://github.com/videolabs/libdsm
Source0:        https://github.com/videolabs/libdsm/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         0001-libdsm-0.4.3-binary-install.patch

BuildRequires:  gcc gcc-c++

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

BuildRequires:  meson ninja-build
BuildRequires:  doxygen
BuildRequires:  libtasn1-devel

%description
lib Defective SMb (libDSM) is a SMB protocol client implementation in pure C, with a lot less features than Samba and also a more permissive license (currently LGPL). The initial goal of this project is to have a lib with an iOS/Android compatible license to be intgrated into VLC for iOS and VLC for Android.

The lib is provided as a static library or as a dynamically linked library. A few useless (yet) utils are also provided.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%meson_install


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS html
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*
%{_bindir}/dsm
%{_bindir}/dsm_discover
%{_bindir}/dsm_inverse
%{_bindir}/dsm_lookup

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Dec 27 2022 momo-i <webmaster@momo-i.org> - 0.4.3-1
- Update to 0.4.3

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 0.3.0-1
- Update to 0.3.0

* Wed Mar 15 2017 momo-i <webmaster@momo-i.org> - 0.2.7-1
- Update to 0.2.7

* Wed Mar 30 2016 momo-i <webmaster@momo-i.org> - 0.2.1-1
- Update to 0.2.1

* Fri Jan 08 2016 momo-i <webmaster@momo-i.org> - 0.1.0-1
- Update to 0.1.0

* Tue Nov 17 2015 momo-i <webmaster@momo-i.org> - 0.0.7-1
- Update to 0.0.7

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.0.6-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.0.6-2
- Rebuilt for fc23

* Thu Jun 25 2015 momo-i <webmaster@momo-i.org> - 0.0.6-1
- Update to 0.0.6

* Thu Apr 23 2015 momo-i <webmaster@momo-i.org> - 0.0.5-1
- Initial rpm release.
